Skip to main content
 print this page

Update an Iceberg Glue table optimizer

PUT 

/datasets/:id/optimizers

Updates configuration of an existing AWS Glue Iceberg table optimizer. Iceberg-only; not supported for IcebergCatalog=s3tables (GE-1010). type query param is required (compaction | retention | orphan-file-deletion). Body is Enabled plus optional Configuration (same shape as POST). If the optimizer does not exist, Glue EntityNotFoundException is surfaced as "Optimizer not found. Use POST to create."

Request​

Responses​

Optimizer updated. Message is "Successfully updated the iceberg table optimizer".

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers